const system=require("../../../system");
const Dao=require("../../dao.base");
class PConfigDao extends Dao{
  constructor(){
    super(Dao.getModelName(PConfigDao));
  }
  async findByConfigType(type,t){
    return this.model.findOne({where:{configType:type}},{transaction:t});
  }
  extraWhere(obj,w,qc,linkAttrs){
    // if(obj.codepath && obj.codepath!=""){
    //  //  if(obj.codepath.indexOf("userarch")>0){//说明是应用管理员的查询
    //  //    console.log(obj);
    //  //     w["app_id"]=obj.appid;
    //  //  }
    // }
    w["app_id"]=obj.appid;
    w["company_id"]=obj.tocompanyid;
    return w;
 }
}
module.exports=PConfigDao;
